%global momorel 3
%global unstable 0
%if 0%{unstable}
%define pre_tag rc1
%define pre -%{pre_tag}
%define prever 0.1.
%endif

# configure options
# -no-pch disables precompiled headers, make ccache-friendly
%define no_pch -no-pch

%define _default_patch_fuzz 3
%define kde_qt 1

Summary: Qt toolkit
Name:	 qt
Version: 4.6.3
Release: %{?prever:%{prever}}%{momorel}m%{?dist}

License: GPLv2
Group: 	 System Environment/Libraries
Url:   	 http://www.trolltech.com/products/qt/
Source0:  http://get.qt.nokia.com/qt/source/qt-everywhere-opensource-src-%{version}%{?pre:%{pre}}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1: Trolltech.conf

# See http://bugzilla.redhat.com/223663
%define multilib_archs x86_64 %{ix86} ppc64 ppc s390x s390 sparc64 sparcv9
Source5: qconfig-multilib.h

# multilib hacks
Patch2: qt-x11-opensource-src-4.2.2-multilib-optflags.patch
Patch3: qt-x11-opensource-src-4.2.2-multilib-QMAKEPATH.patch
Patch4: qt-everywhere-opensource-src-4.7.0-beta1-uic_multilib.patch
Patch5: qt-all-opensource-src-4.4.0-rc1-as_IN-437440.patch
# hack around gcc/ppc crasher, http://bugzilla.redhat.com/492185
Patch13: qt-x11-opensource-src-4.5.0-gcc_hack.patch
Patch15: qt-x11-opensource-src-4.5.1-enable_ft_lcdfilter.patch
# include kde4 plugin path, http://bugzilla.redhat.com/498809
Patch16: qt-x11-opensource-src-4.5.1-kde4_plugins.patch
# make PulseAudio the default device in Phonon
Patch17: qt-x11-opensource-src-4.5.2-pulseaudio.patch
Patch19: qt-x11-opensource-src-4.5.1-phonon.patch
Patch21: qt-everywhere-opensource-src-4.6.0-gst-pulsaudio.patch
# use system ca-bundle certs, http://bugzilla.redhat.com/521911
Patch22: qt-x11-opensource-src-4.5.3-system_ca_certificates.patch
Requires: ca-certificates
# may be upstreamable, not sure yet
# workaround for gdal/grass crashers wrt glib_eventloop null deref's
Patch23: qt-everywhere-opensource-src-4.6.3-glib_eventloop_nullcheck.patch

## upstreamable bits
# http://bugzilla.redhat.com/485677
Patch51: qt-everywhere-opensource-src-4.6.0-beta1-qdoc3.patch
# fix invalid inline assembly in qatomic_{i386,x86_64}.h (de)ref implementations
Patch53: qt-x11-opensource-src-4.5.0-fix-qatomic-inline-asm.patch
# fix invalid assumptions about mysql_config --libs
# http://bugzilla.redhat.com/440673
Patch54: qt-x11-opensource-src-4.5.1-mysql_config.patch
# http://bugs.kde.org/show_bug.cgi?id=180051#c22
Patch55: qt-everywhere-opensource-src-4.6.2-cups.patch
# fix type cast issue on s390x
Patch56: qt-everywhere-opensource-src-4.6.2-webkit-s390x.patch
# fix type cast issue on sparc64
Patch57: qt-everywhere-opensource-src-4.6.2-webkit-sparc64.patch
# qtwebkit to search nspluginwrapper paths too
Patch58: qt-everywhere-opensource-src-4.7.0-beta1-qtwebkit_pluginpath.patch

# security patches
# https://bugs.webkit.org/show_bug.cgi?id=40567
Patch100: qt-everywhere-opensource-src-4.7.0-beta1-qtwebkit_gtk_init.patch
Patch104: qt-everywhere-opensource-src-4.6.2-cve-2010-0051-lax-css-parsing-cross-domain-theft.patch
Patch106: qt-everywhere-opensource-src-4.6.2-cve-2010-0656.patch
Patch108: qt-everywhere-opensource-src-4.6.2-cve-2010-0648.patch
Patch109: qt-everywhere-opensource-src-4.6.3-CVE-2010-1303_1304.patch
Patch110: qt-everywhere-opensource-src-4.6.3-CVE-2010-1392.patch
Patch111: qt-everywhere-opensource-src-4.6.3-CVE-2010-1396.patch
Patch112: qt-everywhere-opensource-src-4.6.3-CVE-2010-1397.patch
Patch113: qt-everywhere-opensource-src-4.6.3-CVE-2010-1398.patch
Patch114: qt-everywhere-opensource-src-4.6.3-CVE-2010-1400.patch
Patch115: qt-everywhere-opensource-src-4.6.3-CVE-2010-1412.patch
Patch116: qt-everywhere-opensource-src-4.6.3-CVE-2010-1770.patch
Patch117: qt-everywhere-opensource-src-4.6.3-CVE-2010-1773.patch
Patch118: qt-everywhere-opensource-src-4.6.3-CVE-2010-1774.patch
Patch119: qt-everywhere-opensource-src-4.6.3-CVE-2010-1119.patch
Patch120: qt-everywhere-opensource-src-4.6.3-CVE-2010-1778.patch

# kde-qt git patches
Patch201: 0001-This-patch-uses-object-name-as-a-fallback-for-window.patch
Patch202: 0002-This-patch-makes-override-redirect-windows-popup-men.patch
Patch203: 0003-This-patch-changes-QObjectPrivateVersion-thus-preven.patch
Patch204: 0004-This-patch-adds-support-for-using-isystem-to-allow-p.patch
Patch205: 0005-When-tabs-are-inserted-or-removed-in-a-QTabBar.patch
Patch206: 0006-Fix-configure.exe-to-do-an-out-of-source-build-on-wi.patch
Patch207: 0007-When-using-qmake-outside-qt-src-tree-it-sometimes-ge.patch
Patch208: 0008-This-patch-makes-the-raster-graphics-system-use-shar.patch
Patch209: 0009-Restore-a-section-of-the-file-that-got-removed-due-t.patch
Patch212: 0012-Add-context-to-tr-calls-in-QShortcut.patch
Patch217: http://qt.gitorious.org/+kde-developers/qt/kde-qt/commit/55ef01d93f8257b5927660290fc1ead0b2b74ec9.patch
# QTBUG-9793
Patch218: http://qt.gitorious.org/qt/qt/commit/0ebc9783d8ca0c4b27208bbc002c53c52c19ab4c.patch

# for Japanese users
# QTBUG-1726
Patch300: http://www.kde.gr.jp/patch/qt-everywhere-opensource-src-4.6.2-IgnoreGlobalAdvanceWidth.diff

Source10: http://gstreamer.freedesktop.org/data/images/artwork/gstreamer-logo.svg
Source11: hi16-phonon-gstreamer.png
Source12: hi22-phonon-gstreamer.png
Source13: hi32-phonon-gstreamer.png
Source14: hi48-phonon-gstreamer.png
Source15: hi64-phonon-gstreamer.png
Source16: hi128-phonon-gstreamer.png

Source20: assistant.desktop
Source21: designer.desktop
Source22: linguist.desktop
Source23: qtdemo.desktop
Source24: qtconfig.desktop

# upstream qt4-logo, http://trolltech.com/images/products/qt/qt4-logo
Source30: hi128-app-qt4-logo.png
Source31: hi48-app-qt4-logo.png

## optional plugin bits
# set to -no-sql-<driver> to disable
# set to -qt-sql-<driver> to enable *in* qt library
%define mysql -plugin-sql-mysql
%define odbc -plugin-sql-odbc
%define psql -plugin-sql-psql
%define sqlite -plugin-sql-sqlite
%define tds -plugin-sql-tds
%define phonon -phonon
%define phonon_backend -phonon-backend
# if building with -phonon, define to internal version (ie, Obsolete external phonon)
#define phonon_internal 1
# if -phonon-backend, include in packaging (else it's omitted)
#define phonon_backend_packaged 1
%define phonon_version 4.4.2
%define phonon_version_major 4.4
%define phonon_release 1
%define webkit -webkit
%define gtkstyle -gtkstyle
%define nas -no-nas-sound
%define dbus -dbus-linked

# See http://bugzilla.redhat.com/196901
%define _qt4 %{name}
%define _qt4_prefix %{_libdir}/qt4
%define _qt4_bindir %{_qt4_prefix}/bin
# _qt4_datadir is not multilib clean, and hacks to workaround that breaks stuff.
#define _qt4_datadir %{_datadir}/qt4
%define _qt4_datadir %{_qt4_prefix}
%define _qt4_demosdir %{_qt4_prefix}/demos
%define _qt4_docdir %{_docdir}/qt4
%define _qt4_examplesdir %{_qt4_prefix}/examples
%define _qt4_headerdir %{_includedir}
%define _qt4_libdir %{_libdir}
%define _qt4_plugindir %{_qt4_prefix}/plugins
%define _qt4_sysconfdir %{_sysconfdir}
%define _qt4_translationdir %{_datadir}/qt4/translations

%if "%{_qt4_libdir}" != "%{_libdir}"
Requires(pre):  /etc/ld.so.conf.d
%endif

BuildRequires: alsa-lib-devel
BuildRequires: dbus-devel >= 0.62
BuildRequires: cups-devel
BuildRequires: desktop-file-utils
BuildRequires: findutils
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib2-devel
BuildRequires: libjpeg-devel >= 8a
BuildRequires: libmng-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libungif-devel
BuildRequires: openssl-devel >= 1.0.0
BuildRequires: pkgconfig
BuildRequires: zlib-devel

## In theory, should be as simple as:
#define x_deps libGL-devel libGLU-devel
## but, "xorg-x11-devel: missing dep on libGL/libGLU" - http://bugzilla.redhat.com/211898
%define x_deps libICE-devel libSM-devel libXcursor-devel libXext-devel libXfixes-devel libXft-devel libXi-devel libXinerama-devel libXrandr-devel libXrender-devel libXt-devel libX11-devel xorg-x11-proto-devel libGL-devel libGLU-devel
BuildRequires: %{x_deps}

%if "%{?nas}" != "-no-nas-sound"
BuildRequires: nas-devel
%endif

%if "%{?mysql}" != "-no-sql-mysql"
BuildRequires: mysql-devel >= 5.1.32
%endif

%if "%{?phonon_backend}" == "-phonon-backend"
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
%endif

%if "%{?gtkstyle}" == "-gtkstyle"
BuildRequires: gtk2-devel
%endif

%if "%{?psql}" != "-no-sql-psql"
BuildRequires: postgresql-devel >= 8.2.3
# added deps to workaround http://bugzilla.redhat.com/440673
BuildRequires: krb5-devel libxslt-devel openssl-devel pam-devel readline-devel zlib-devel
%endif

%if "%{?odbc}" != "-no-sql-odbc"
BuildRequires: unixODBC-devel >= 2.2.14
%endif

%if "%{?sqlite}" != "-no-sql-sqlite"
%define _system_sqlite -system-sqlite
BuildRequires: sqlite-devel
%endif

%if "%{?tds}" != "-no-sql-tds"
BuildRequires: freetds-devel
%endif

Obsoletes: qt4
Provides:  qt4
Obsoletes: qt-assistant-adp

%description
Qt is a software toolkit for developing applications.

This package contains base tools, like string, xml, and network
handling.

%package devel
Summary: Development files for the Qt toolkit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-x11 = %{version}-%{release}
Requires: %{x_deps}
Requires: libpng-devel
Requires: libjpeg-devel
Requires: pkgconfig
%if 0%{?phonon_internal}
Obsoletes: phonon-devel < 4.3.1-3m
Provides:  phonon-devel = %{phonon_version}-%{phonon_release}
%endif
%if 0%{?webkit:1}
Obsoletes: WebKit-qt-devel < 1.0.0-1
Provides:  WebKit-qt-devel = 1.0.0-1
Obsoletes: qt-webkit-devel
Provides:  qt-webkit-devel
%endif

Obsoletes: qt4-devel
Provides:  qt4-devel
Obsoletes: qt-assistant-adp-devel

%description devel
This package contains the files necessary to develop
applications using the Qt toolkit.  Includes:
Qt Linguist

%package -n phonon-backend-gstreamer
Summary: Gstreamer phonon backend
Group:   Applications/Multimedia
Requires: phonon >= %{phonon_version_major}
Provides: phonon-backend = %{phonon_version}-%{phonon_release}
Obsoletes: %{name}-backend-gst < 4.2.0
Provides:  %{name}-backend-gst = %{phonon_version}-%{phonon_release}

%description -n phonon-backend-gstreamer
%{summary}.

%define demos 1
%package demos
Summary: Demonstration applications for %{name}
Group:   Documentation
Requires: %{name} = %{version}-%{release}

%description demos
%{summary}.

%define examples 1
%package examples
Summary: Programming examples for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description examples
%{summary}.

%define docs 1
%package doc
Summary: API documentation, demos and example programs for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
Provides: %{name}-assistant = %{version}-%{release}
BuildArch: noarch

Obsoletes: qt4-doc
Provides:  qt4-doc

%description doc
%{summary}.  Includes:
Qt Assistant

%package odbc
Summary: ODBC driver for Qt's SQL classes
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

Obsoletes: qt4-odbc
Provides:  qt4-odbc

%description odbc
%{summary}.

%package mysql
Summary: MySQL driver for Qt's SQL classes
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

Obsoletes: qt4-mysql
Provides:  qt4-mysql

%description mysql
%{summary}.

%package postgresql
Summary: PostgreSQL driver for Qt's SQL classes
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

Obsoletes: qt4-postgresql
Provides:  qt4-postgresql

%description postgresql
%{summary}.

%package sqlite
Summary: SQLite driver for Qt's SQL classes
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

Obsoletes: qt4-sqlite
Provides:  qt4-sqlite

%description sqlite
%{summary}.

%package tds
Summary: TDS driver for Qt's SQL classes
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: qt4-tds = %{version}-%{release}
%{?_isa:Provides: qt4-tds%{?_isa} = %{version}-%{release}}

%description tds
%{summary}.

%package x11
Summary: Qt GUI-related libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: momonga-rpmmacros, rpm
Requires: mesa-libGL, mesa-libGLU

Obsoletes: qt4-x11
Provides:  qt4-x11
%if 0%{?phonon_internal}
Obsoletes: phonon < 4.3.1-2m
Provides:  phonon = %{phonon_version}-%{phonon_release}
Provides:  qt4-phonon = %{version}-%{release}
%endif
%if 0%{?webkit:1}
Obsoletes: WebKit-qt < 1.0.0-1
Provides:  WebKit-qt = 1.0.0-1
Obsoletes: qt-webkit
Provides:  qt-webkit
%endif

%description x11
Qt libraries which are used for drawing widgets and OpenGL items.

%prep
%setup -q -n qt-everywhere-opensource-src-%{version}%{?pre:%{pre}}

# don't use -b on mkspec files, else they get installed too.
# multilib hacks no longer required
%patch2 -p1
%if "%{_qt4_datadir}" != "%{_qt4_prefix}"
%patch3 -p1 -b .multilib-QMAKEPATH
%endif
%patch4 -p1 -b .uic_multilib

%patch5 -p1 -b .bz#437440-as_IN-437440
%patch13 -p1 -b .gcc_hack
%patch15 -p1 -b .enable_ft_lcdfilter
%patch16 -p1 -b .kde4_plugins
%patch17 -p1 -b .phonon-pulseaudio
%patch19 -p1 -b .servicesfile
%patch21 -p1 -b .gst-pulsaudio
%patch22 -p1 -b .system_ca_certificates
%patch23 -p1 -b .glib_eventloop_nullcheck
%patch51 -p1 -b .qdoc3
## TODO: still worth carrying?  if so, upstream it.
%patch53 -p1 -b .qatomic-inline-asm
## TODO: upstream me
%patch54 -p1 -b .mysql_config
%patch55 -p1 -b .cups-1
%patch56 -p1 -b .typecast_s390x
%patch57 -p1 -b .typecast_sparc64
%patch58 -p1 -b .qtwebkit_pluginpath

# upstream patches
%patch100 -p1 -b .qtwebkit_gtk_init

# security fixes
%patch104 -p1 -b .cve-2010-0051-lax-css-parsing-cross-domain-theft
%patch106 -p1 -b .cve-2010-0656
%patch108 -p1 -b .cve-2010-0648
%patch109 -p1 -b .CVE-2010-1303_1304
%patch110 -p1 -b .CVE-2010-1392
%patch111 -p1 -b .CVE-2010-1396
%patch112 -p1 -b .CVE-2010-1397
%patch113 -p1 -b .CVE-2010-1398
%patch114 -p1 -b .CVE-2010-1400
%patch115 -p1 -b .CVE-2010-1412
%patch116 -p1 -b .CVE-2010-1770
%patch117 -p1 -b .CVE-2010-1773
%patch118 -p1 -b .CVE-2010-1774
%patch119 -p1 -b .CVE-2010-1119
%patch120 -p1 -b .CVE-2010-1778


# kde-qt branch
%patch201 -p1 -b .kde-qt-0001
%patch202 -p1 -b .kde-qt-0002
%patch203 -p1 -b .kde-qt-0003
%patch204 -p1 -b .kde-qt-0004
%patch205 -p1 -b .kde-qt-0005
%patch206 -p1 -b .kde-qt-0006
%patch207 -p1 -b .kde-qt-0007
%patch212 -p1 -b .kde-qt-0012
%patch217 -p1 -b .QT_GRAPHICSSYSTEM
%patch218 -p1 -b .QTBUG-9793

# for Japanese users
%patch300 -p1 -b .IgnoreGlobalAdvanceWidth

# drop -fexceptions from $RPM_OPT_FLAGS
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's|-fexceptions||g'`

## customize our platform
%if "%{_lib}" == "lib64"
%define platform linux-g++-64
%else
%define platform linux-g++
%endif

sed -i \
  -e "s|-O2|$RPM_OPT_FLAGS|g" \
  -e "s|g++.conf|g++-multilib.conf|g" mkspecs/%{platform}/qmake.conf

sed -e "s|^QMAKE_CFLAGS_RELEASE|#QMAKE_CFLAGS_RELEASE|g" \
 mkspecs/common/g++.conf > mkspecs/common/g++-multilib.conf

## FIXME, http://bugzilla.redhat.com/230224
# On the surface, looks like a good idea to strip -I/usr/include, -L/usr/lib,
# but it turns out qmake-consuming apps expect/use QMAKE_INCDIR_QT directly
# (e.g. PyQt4, texmaker), and don't cope with null values
#if "%{_qt4_headerdir}" == "%{_includedir}"
#sed -i -e "s|^QMAKE_INCDIR_QT.*=.*|QMAKE_INCDIR_QT       =|" mkspecs/common/linux.conf
#endif
%if "%{_qt4_libdir}" == "%{_libdir}"
sed -i -e "s|^QMAKE_LIBDIR_QT.*=.*|QMAKE_LIBDIR_QT       =|" mkspecs/common/linux.conf
%endif

# undefine QMAKE_STRIP, so we get useful -debuginfo pkgs
sed -i -e "s|^QMAKE_STRIP.*=.*|QMAKE_STRIP             =|" mkspecs/common/linux.conf

# set correct lib path
if [ "%{_lib}" == "lib64" ] ; then
  sed -i -e "s,/usr/lib /lib,/usr/%{_lib} /%{_lib},g" config.tests/{unix,x11}/*.test
  sed -i -e "s,/lib /usr/lib,/%{_lib} /usr/%{_lib},g" config.tests/{unix,x11}/*.test
fi

# let makefile create missing .qm files, the .qm files should be included in qt upstream
for f in translations/*.ts ; do
  touch ${f%.ts}.qm
done

%build

# build shared, threaded (default) libraries
./configure -v \
  -confirm-license \
  -opensource \
  -optimized-qmake \
  -prefix %{_qt4_prefix} \
  -bindir %{_qt4_bindir} \
  -datadir %{_qt4_datadir} \
  -demosdir %{_qt4_demosdir} \
  -docdir %{_qt4_docdir} \
  -examplesdir %{_qt4_examplesdir} \
  -headerdir %{_qt4_headerdir} \
  -libdir %{_qt4_libdir} \
  -plugindir %{_qt4_plugindir} \
  -sysconfdir %{_qt4_sysconfdir} \
  -translationdir %{_qt4_translationdir} \
  -platform %{platform} \
  -release \
  -shared \
  -cups \
  -fontconfig \
  -largefile \
  -gtkstyle \
  -qt-gif \
  -no-rpath \
  -reduce-relocations \
  -no-separate-debug-info \
  %{?phonon} %{!?phonon:-no-phonon} \
  %{?phonon_backend} \
  %{?no_pch} \
  -no-javascript-jit \
  -sm \
  -stl \
  -system-libmng \
  -system-libpng \
  -system-libjpeg \
  -system-libtiff \
  -system-zlib \
  -xinput \
  -xcursor \
  -xfixes \
  -xinerama \
  -xshape \
  -xrandr \
  -xrender \
  -xkb \
  -glib \
  -openssl-linked \
  -xmlpatterns \
  %{?dbus} %{!?dbus:-no-dbus} \
  %{?webkit} %{!?webkit:-no-webkit } \
  %{?nas} \
  %{?mysql} \
  %{?psql} \
  %{?odbc} \
  %{?sqlite} %{?_system_sqlite} \
  %{?tds} \
  %{!?docs:-nomake docs} \
  %{!?demos:-nomake demos} \
  %{!?examples:-nomake examples}

%make %{?_smp_mflags}

# recreate .qm files
LD_LIBRARY_PATH=`pwd`/lib bin/lrelease translations/*.ts

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot}

# Add desktop file(s)
desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  --vendor="qt4" \
  %{?docs:%{SOURCE20}} %{SOURCE21} %{SOURCE22} %{?demos:%{SOURCE23}} %{SOURCE24}

## pkg-config
# strip extraneous dirs/libraries -- Rex
# safe ones
glib2_libs=$(pkg-config --libs glib-2.0 gobject-2.0 gthread-2.0)
ssl_libs=$(pkg-config --libs openssl)
for dep in \
  -laudio -ldbus-1 -lfreetype -lfontconfig ${glib2_libs} \
  -ljpeg -lm -lmng -lpng ${ssl_libs} -lsqlite3 -lz \
  -L/usr/X11R6/%{_lib} -L%{_libdir} ; do
  sed -i -e "s|$dep ||g" %{buildroot}%{_qt4_libdir}/lib*.la ||:
  sed -i -e "s|$dep ||g" %{buildroot}%{_qt4_libdir}/pkgconfig/*.pc
  sed -i -e "s|$dep ||g" %{buildroot}%{_qt4_libdir}/*.prl
done
# riskier
for dep in -lXrender -lXrandr -lXcursor -lXfixes -lXinerama -lXi -lXft -lXt -lXext -lX11 -lSM -lICE -ldl -lpthread ; do
  sed -i -e "s|$dep ||g" %{buildroot}%{_qt4_libdir}/lib*.la ||:
  sed -i -e "s|$dep ||g" %{buildroot}%{_qt4_libdir}/pkgconfig/*.pc
  sed -i -e "s|$dep ||g" %{buildroot}%{_qt4_libdir}/*.prl
done

# nuke dandling reference(s) to %%buildroot
sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" %{buildroot}%{_qt4_libdir}/*.prl

# nuke QMAKE_PRL_LIBS, seems similar to static linking and .la files (#520323)
sed -i -e "s|^QMAKE_PRL_LIBS|#QMAKE_PRL_LIBS|" %{buildroot}%{_qt4_libdir}/*.prl

# .la files, die, die, die.
rm -f %{buildroot}%{_qt4_libdir}/lib*.la

%if 0
# -doc make symbolic link to _qt4_docdir
rm -rf %{buildroot}%{_qt4_prefix}/doc
ln -s  ../../share/doc/qt4 %{buildroot}%{_qt4_prefix}/doc
%endif

# let rpm handle binaries conflicts
mkdir %{buildroot}%{_bindir}
pushd %{buildroot}%{_qt4_bindir}
for i in * ; do
  case "${i}" in
    assistant|designer|linguist|lrelease|lupdate|moc|qmake|qtconfig|qtdemo|uic)
      mv $i ../../../bin/${i}-qt4
      ln -s ../../../bin/${i}-qt4 .
      ln -s ../../../bin/${i}-qt4 $i
      ;;
    *)
      mv $i ../../../bin/
      ln -s ../../../bin/$i .
      ;;
  esac
done
popd

# _debug lib symlinks (see bug #196513)
pushd %{buildroot}%{_qt4_libdir}
for lib in libQt*.so ; do
  ln -s $lib $(basename $lib .so)_debug.so
done
for lib in libQt*.a ; do
  ln -s $lib $(basename $lib .a)_debug.a
done
popd

# .la files, die, die, die.
rm -f %{buildroot}%{_qt4_libdir}/lib*.la

%ifarch %{multilib_archs}
# multilib: qconfig.h
  mv %{buildroot}%{_qt4_headerdir}/Qt/qconfig.h %{buildroot}%{_qt4_headerdir}/QtCore/qconfig-%{_arch}.h
  install -p -m644 -D %{SOURCE5} %{buildroot}%{_qt4_headerdir}/QtCore/qconfig-multilib.h
  ln -sf qconfig-multilib.h %{buildroot}%{_qt4_headerdir}/QtCore/qconfig.h
  ln -sf ../QtCore/qconfig.h %{buildroot}%{_qt4_headerdir}/Qt/qconfig.h
%ifarch i486 i586 i686
  ln -sf qconfig-%{_arch}.h %{buildroot}%{_qt4_headerdir}/QtCore/qconfig-i386.h
%endif

%if "%{_qt4_datadir}" != "%{_qt4_prefix}"
# multilib: mkspecs hacks, unfortunately, breaks some stuff
  mkdir %{buildroot}%{_qt4_prefix}/mkspecs
  mv %{buildroot}%{_qt4_datadir}/mkspecs/{default,linux-g++*,qconfig.pri} \
     %{buildroot}%{_qt4_prefix}/mkspecs/
  ln -s %{_qt4_datadir}/mkspecs/common %{buildroot}%{_qt4_prefix}/mkspecs/common
%endif
%endif

%if "%{_qt4_libdir}" != "%{_libdir}"
  mkdir -p %{buildroot}/etc/ld.so.conf.d
  echo "%{_qt4_libdir}" > %{buildroot}/etc/ld.so.conf.d/qt4-%{_arch}.conf
%endif

# Trolltech.conf
install -p -m644 -D %{SOURCE1} %{buildroot}%{_qt4_sysconfdir}/Trolltech.conf

# qt4-logo (generic) icons
install -p -m644 -D %{SOURCE30} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/qt4-logo.png
install -p -m644 -D %{SOURCE31} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/qt4-logo.png
%if 0%{?docs}
# assistant icons
install -p -m644 -D tools/assistant/tools/assistant/images/assistant.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/assistant.png
install -p -m644 -D tools/assistant/tools/assistant/images/assistant-128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/assistant.png
%endif
# designer icons
install -p -m644 -D tools/designer/src/designer/images/designer.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/designer.png
# linguist icons
for icon in tools/linguist/linguist/images/icons/linguist-*-32.png ; do
  size=$(echo $(basename ${icon}) | cut -d- -f2)
  install -p -m644 -D ${icon} %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/linguist.png
done

# Install icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 tools/assistant/compat/images/qt.png %{buildroot}%{_datadir}/pixmaps/qtconfig.png
install -m 644 tools/assistant/compat/images/designer.png %{buildroot}%{_datadir}/pixmaps/designer.png
install -m 644 tools/assistant/compat/images/assistant.png %{buildroot}%{_datadir}/pixmaps/assistant.png
install -m 644 tools/assistant/compat/images/linguist.png %{buildroot}%{_datadir}/pixmaps/linguist.png
install -m 644 tools/assistant/compat/images/qt.png %{buildroot}%{_datadir}/pixmaps/qtdemo.png

# Qt.pc
cat >%{buildroot}%{_libdir}/pkgconfig/Qt.pc<<EOF
prefix=%{_qt4_prefix}
bindir=%{_qt4_bindir}
datadir=%{_qt4_datadir}
demosdir=%{_qt4_demosdir}
docdir=%{_qt4_docdir}
examplesdir=%{_qt4_examplesdir}
headerdir=%{_qt4_headerdir}
libdir=%{_qt4_libdir}
plugindir=%{_qt4_plugindir}
qmake=%{_qt4_bindir}/qmake
sysconfdir=%{_qt4_sysconfdir}
translationdir=%{_qt4_translationdir}

Name: Qt
Description: Qt Configuration
Version: %{version}
EOF


# rpm macros
mkdir -p %{buildroot}%{_sysconfdir}/rpm
cat >%{buildroot}%{_sysconfdir}/rpm/macros.qt4<<EOF
%%_qt4 %{name}
%%_qt4_version %{version}
%%_qt4_prefix %%{_libdir}/qt4
%%_qt4_bindir %%{_qt4_prefix}/bin
%%_qt4_datadir %%{_datadir}/qt4
%%_qt4_demosdir %%{_qt4_prefix}/demos
%%_qt4_docdir %%{_docdir}/qt4
%%_qt4_examples %%{_qt4_prefix}/examples
%%_qt4_headerdir %%{_includedir}
%%_qt4_libdir %%{_libdir}
%%_qt4_plugindir %%{_qt4_prefix}/plugins
%%_qt4_qmake %%{_qt4_bindir}/qmake
%%_qt4_sysconfdir %%{_sysconfdir}
%%_qt4_translationdir %%{_qt4_datadir}/translations
EOF

# create/own %%_qt4_plugindir/styles
mkdir %{buildroot}%{_qt4_plugindir}/styles
# create/own %%_qt4_plugindir/gui_platform
mkdir %{buildroot}%{_qt4_plugindir}/gui_platform

%if 0%{?phonon_internal}
mkdir -p %{buildroot}%{_qt4_plugindir}/phonon_backend
# needed by qtscriptgenerator
pushd %{buildroot}%{_qt4_headerdir}
ln -s phonon Phonon
popd
%else
rm -fv  %{buildroot}%{_qt4_libdir}/libphonon.so*
rm -rfv %{buildroot}%{_libdir}/pkgconfig/phonon.pc
# contents slightly different between phonon-4.3.1 and qt-4.5.0
rm -fv  %{buildroot}%{_includedir}/phonon/phononnamespace.h
# contents dup'd but should remove just in case
rm -fv  %{buildroot}%{_includedir}/phonon/*.h
rm -rfv %{buildroot}%{_qt4_headerdir}/phonon*
#rm -rfv %{buildroot}%{_qt4_headerdir}/Qt/phonon*
rm -fv %{buildroot}%{_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml
%endif

%if 0%{?phonon_backend_packaged}
install -D -m 0644 %{SOURCE10} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/phonon-gstreamer.svg
install -D -m 0644 %{SOURCE11} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE12} %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE13} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE14} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE15} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/phonon-gstreamer.png
install -D -m 0644 %{SOURCE16} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/phonon-gstreamer.png
%else
rm -fv %{buildroot}%{_qt4_plugindir}/phonon_backend/*_gstreamer.so
rm -fv %{buildroot}%{_datadir}/kde4/services/phononbackends/gstreamer.desktop
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
touch --no-create %{_datadir}/icons/hicolor ||:

%posttrans devel
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun devel
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
fi

%post x11
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:

%posttrans x11
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun x11
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
fi

%if 0%{?phonon_backend_packaged}
%post -n phonon-backend-gstreamer
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n phonon-backend-gstreamer
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun -n phonon-backend-gstreamer
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi
%endif

%files
%defattr(-,root,root,-)
%doc README* LGPL_EXCEPTION.txt LICENSE.LGPL LICENSE.GPL3
%if "%{_qt4_libdir}" != "%{_libdir}"
/etc/ld.so.conf.d/*
%dir %{_qt4_libdir}
%endif
%dir %{_qt4_prefix}
%if "%{_qt4_bindir}" == "%{_bindir}"
%{_qt4_prefix}/bin
%else
%dir %{_qt4_bindir}
%endif
%if "%{_qt4_datadir}" != "%{_datadir}/qt4"
%dir %{_datadir}/qt4
%else
%dir %{_qt4_datadir}
%endif
%if "%{_qt4_sysconfdir}" != "%{_sysconfdir}"
%dir %{_qt4_sysconfdir}
%endif
%config(noreplace) %{_qt4_sysconfdir}/Trolltech.conf
%{_qt4_datadir}/phrasebooks/
%{_qt4_libdir}/libQtCore.so.*
%if 0%{?dbus:1}
%if "%{_qt4_bindir}" != "%{_bindir}"
%{_bindir}/qdbus
%endif
%{_qt4_bindir}/qdbus
%{_qt4_libdir}/libQtDBus.so.*
%endif
%{_qt4_libdir}/libQtNetwork.so.*
%{_qt4_libdir}/libQtScript.so.*
%{_qt4_libdir}/libQtSql.so.*
%{_qt4_libdir}/libQtTest.so.*
%{_qt4_libdir}/libQtXml.so.*
%{_qt4_libdir}/libQtXmlPatterns.so.*
%dir %{_qt4_plugindir}
%dir %{_qt4_plugindir}/sqldrivers/
%{_qt4_translationdir}

%if 0%{?demos}
%files demos
%defattr(-,root,root,-)
%{_qt4_bindir}/qt*demo*
%if "%{_qt4_bindir}" != "%{_bindir}"
%{_bindir}/qt*demo*
%endif
%{_datadir}/applications/*qtdemo.desktop
%{_qt4_demosdir}
%{_datadir}/pixmaps/qtdemo.png
%endif

%if 0%{?phonon_backend_packaged}
%files -n phonon-backend-gstreamer
%defattr(-,root,root,-)
%{_qt4_plugindir}/phonon_backend/*_gstreamer.so
%{_datadir}/kde4/services/phononbackends/gstreamer.desktop
%{_datadir}/icons/hicolor/*/apps/phonon-gstreamer.*
%endif

%files devel
%defattr(-,root,root,-)
%{_qt4_bindir}/lconvert
%{_qt4_bindir}/lrelease*
%{_qt4_bindir}/lupdate*
%{_qt4_bindir}/moc*
%{_qt4_bindir}/pixeltool*
%{_qt4_bindir}/qdoc3*
%{_qt4_bindir}/qmake*
%{_qt4_bindir}/qt3to4
%{_qt4_bindir}/qttracereplay
%{_qt4_bindir}/rcc*
%{_qt4_bindir}/uic*
%{_qt4_bindir}/qcollectiongenerator
%if 0%{?dbus:1}
%{_qt4_bindir}/qdbuscpp2xml
%{_qt4_bindir}/qdbusxml2cpp
%endif
%{_qt4_bindir}/qhelpconverter
%{_qt4_bindir}/qhelpgenerator
%{_qt4_bindir}/xmlpatterns
%{_qt4_bindir}/xmlpatternsvalidator
%if "%{_qt4_bindir}" != "%{_bindir}"
%{_bindir}/lconvert
%{_bindir}/lrelease*
%{_bindir}/lupdate*
%{_bindir}/pixeltool*
%{_bindir}/moc*
%{_bindir}/qdoc3
%{_bindir}/qmake*
%{_bindir}/qt3to4
%{_bindir}/qttracereplay
%{_bindir}/rcc*
%{_bindir}/uic*
%{_bindir}/designer*
%{_bindir}/linguist*
%{_bindir}/qcollectiongenerator
%if 0%{?dbus:1}
%{_bindir}/qdbuscpp2xml
%{_bindir}/qdbusxml2cpp
%endif
%{_bindir}/qhelpconverter
%{_bindir}/qhelpgenerator
%{_bindir}/xmlpatterns
%{_bindir}/xmlpatternsvalidator
%endif
%if "%{_qt4_headerdir}" != "%{_includedir}"
%dir %{_qt4_headerdir}/
%endif
%{_qt4_headerdir}/*
%{_qt4_datadir}/mkspecs
%if "%{_qt4_datadir}" != "%{_qt4_prefix}"
%{_qt4_prefix}/mkspecs
%endif
%{_qt4_datadir}/q3porting.xml
%if 0%{?phonon:1}
%{_qt4_libdir}/libphonon.prl
%endif
%if 0%{?phonon_internal}
%{_qt4_libdir}/libphonon.so
%endif
%{_qt4_libdir}/libQt*.so
%{_qt4_libdir}/libQtUiTools*.a
%{_qt4_libdir}/libQt*.prl
%{_libdir}/pkgconfig/*.pc
# Qt designer
%{_qt4_bindir}/designer*
%{_datadir}/applications/*designer.desktop
%{_datadir}/icons/hicolor/*/apps/designer.*
%{_datadir}/pixmaps/designer.png
# Qt Linguist
%{_qt4_bindir}/linguist*
%{_datadir}/applications/*linguist.desktop
%{_datadir}/icons/hicolor/*/apps/linguist.*
%{_datadir}/pixmaps/linguist.png

%if 0%{?docs}
%files doc
%defattr(-,root,root,-)
%dir %{_qt4_docdir}/
%{_qt4_docdir}/html
%{_qt4_docdir}/qch
%{_qt4_docdir}/src
#{_qt4_prefix}/doc
# Qt Assistant (bin moved to -x11)
%{_datadir}/applications/*assistant.desktop
%{_datadir}/icons/hicolor/*/apps/assistant.*
%{_datadir}/pixmaps/assistant.png
%endif

%if 0%{?examples}
%files examples
%defattr(-,root,root,-)
%{_qt4_examplesdir}
%endif

%if "%{?mysql}" == "-plugin-sql-mysql"
%files mysql
%defattr(-,root,root,-)
%{_qt4_plugindir}/sqldrivers/libqsqlmysql*
%endif

%if "%{?odbc}" == "-plugin-sql-odbc"
%files odbc
%defattr(-,root,root,-)
%{_qt4_plugindir}/sqldrivers/libqsqlodbc*
%endif

%if "%{?psql}" == "-plugin-sql-psql"
%files postgresql
%defattr(-,root,root,-)
%{_qt4_plugindir}/sqldrivers/libqsqlpsql*
%endif

%if "%{?sqlite}" == "-plugin-sql-sqlite"
%files sqlite
%defattr(-,root,root,-)
%{_qt4_plugindir}/sqldrivers/libqsqlite*
%endif

%if "%{?tds}" == "-plugin-sql-tds"
%files tds
%defattr(-,root,root,-)
%{_qt4_plugindir}/sqldrivers/libqsqltds*
%endif

%files x11
%defattr(-,root,root,-)
%{_sysconfdir}/rpm/macros.*
%if 0%{?phonon_internal}
%{_qt4_libdir}/libphonon.so.4*
%dir %{_datadir}/kde4/services/phononbackends
%{_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml
%endif
%{_qt4_libdir}/libQt3Support.so.*
%{_qt4_libdir}/libQtAssistantClient.so.*
%{_qt4_libdir}/libQtCLucene.so.*
%{_qt4_libdir}/libQtDesigner.so.*
%{_qt4_libdir}/libQtDesignerComponents.so.*
%{_qt4_libdir}/libQtGui.so.*
%{_qt4_libdir}/libQtHelp.so.*
%{_qt4_libdir}/libQtMultimedia.so.*
%{_qt4_libdir}/libQtOpenGL.so.*
%{_qt4_libdir}/libQtScriptTools.so.*
%{_qt4_libdir}/libQtSvg.so.*
%{?webkit:%{_qt4_libdir}/libQtWebKit.so.*}
%{_qt4_plugindir}/*
%exclude %{_qt4_plugindir}/sqldrivers
%if 0%{?phonon_backend_packaged}
%exclude %{_qt4_plugindir}/phonon_backend/*_gstreamer.so
%endif
%if "%{_qt4_bindir}" != "%{_bindir}"
%{_bindir}/assistant*
%{?dbus:%{_bindir}/qdbusviewer}
%{_bindir}/qt*config*
%endif
%{_qt4_bindir}/assistant*
%{?dbus:%{_qt4_bindir}/qdbusviewer}
%{_qt4_bindir}/qt*config*
%{_datadir}/applications/*qtconfig.desktop
%{_datadir}/icons/hicolor/*/apps/qt4-logo.*
%{_datadir}/pixmaps/qtconfig.png

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.6.3-3m)
- full rebuild for mo7 release

* Wed Jun 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.3-2m)
- import patch23 from Fedora 13

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.3-1m)
- [SECURITY] CVE-2010-0047 CVE-2010-0648 CVE-2010-0656
- [SECURITY] CVE-2010-1303 CVE-2010-1304 CVE-2010-1392
- [SECURITY] CVE-2010-1396 CVE-2010-1397 CVE-2010-1398
- [SECURITY] CVE-2010-1412 CVE-2010-1770 CVE-2010-1773
- [SECURITY] CVE-2010-1774 CVE-2010-1119 CVE-2010-1400
- [SECURITY] CVE-2010-1778
- version down to 4.6.3 due to qt-4.7.0 issues

* Sun Jun 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.0-0.1.4m)
- sync with Fedora devel (qt-4.7.0-0.19.beta1)

* Thu May 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.0-0.1.3m)
- enum definition in qs60style.h causes kdebindings build break
- so we move it to qs60style.cpp temporarily

* Wed May 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.0-0.1.2m)
- import QT_GRAPHICSSYSTEM env support patch from Fedora devel

* Sat May  8 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.0-0.1.1m)
- update to 4.7.0 beta1
- sync with Fedora devel

* Sat Apr 24 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.2-6m)
- [SECURITY] CVE-2010-0046 CVE-2010-0049 CVE-2010-0050
- [SECURITY] CVE-2010-0051 CVE-2010-0052 CVE-2010-0054
- [SECURITY] CVE-2010-0648 CVE-2010-0656
- import some patches from Fedora 13
- apply Japanese input issue patches (QTBUG-1726/QTBUG-8807)

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.6.2-5m)
- rebuild against libjpeg-8a

* Sun Apr  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.6.2-4m)
- rebuild against openssl-1.0.0

* Sun Mar 14 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.2-3m)
- import patch213 from fedora devel
- add BuildRequires: alsa-lib--devel
- remove unused patch

* Sun Feb 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.2-2m)
- import patch55 from Fedora devel

* Tue Feb 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.2-1m)
- update to 4.6.2

* Sat Jan 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.1-1m)
- update to 4.6.1
- remove unused patches

* Tue Jan 12 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.0-4m)
- fix QTBUG-7255 (http://bugreports.qt.nokia.com/browse/QTBUG-7255)

* Sun Jan 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.0-3m)
- import Patch214 and Patch215 from Fedora devel, but Patch214 is not applied
-- Fix crash when QGraphicsItem destructor deletes other QGraphicsItem (kde-qt cec34b01)
-- Fix a crash in KDE/Plasma with QGraphicsView. TopLevel list of items (kde-qt 63839f0c)

* Mon Dec 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.0-2m)
- create and own %%{_qt4_plugindir}/gui_platform
- disable QtWebKit JavaScript JIT by configure option

* Sat Dec  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.0-1m)
- update to 4.6.0
- use external phonon

* Sun Nov 22 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.6.0-0.1.2m)
- add QtCore/qconfig-i386.h symlink again, which is essential for i686 arch

* Sat Nov 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.6.0-0.1.1m)
- [SECURITY] CVE-2009-2816 CVE-2009-3384
- update to 4.6.0 rc1

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.5.2-6m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  1 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.5.2-5m)
- [SECURITY] CVE-2009-2700
- import a security patch (Patch101) from Rawhide (1:4.5.2-13)

* Fri Aug 28 2009 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5.2-4m)
- rebuild against libjpeg-7

* Fri Aug 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.2-3m)
- do not use qt-copy patch
- import some patches from Fedora devel (sync with Fedora)

* Sat Aug 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.5.2-2m)
- [SECURITY] CVE-2009-1725
- import a security patch (Patch100) from Rawhide (1:4.5.2-11)

* Wed Jul 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.2-1m)
- update to 4.5.2
- update qt-copy patch
- drop some upstream patches

* Tue Jun  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.1-7m)
- qt-doc does not depend on architecture

* Mon Jun  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.1-6m)
- import patch18 and patch19 from Fedora devel
- separate phonon-backend-gstreamer sub package
- install missing Phonon/Global header

* Sun Jun  7 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.5.1-5m)
- fix up Obsoletes

* Sun Jun  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.1-4m)
- update qt-copy patch
- build with -phonon-backend option

* Wed May 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.5.1-3m)
- rebuild against unixODBC-2.2.14

* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.1-2m)
- import 2 patches from Fedora devel

* Sat Apr 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.1-1m)
- update to 4.5.1
- import patches from Fedora devel and update qt-copy

* Fri Apr 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5.0-1m)
- update to 4.5.0
- import patches from Fedora devel and update qt-copy

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.4.3-5m)
- rebuild against openssl-0.9.8k

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.4.3-4m)
- rebuild against mysql-5.1.32

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.4.3-3m)
- rebuild against rpm-4.6

* Tue Nov 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.3-2m)
- import new patch from Fedora devel
- update qt-copy

* Tue Sep 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.3-1m)
- update to 4.4.3

* Sat Sep 27 2008 NARITA Kicchi <pulsar@momonga-linux.org>
- (4.4.2-1m)
- update to 4.4.2
- update qt-copy

* Fri Aug  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.1-1m)
- update to 4.4.1
- ommit deprecated phonon bits
- update qt-copy
- import qt-x11-opensource-src-4.4.1-systray.patch from Fedora

* Sat Jul 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.0-5m)
- update some desktop files
- update qt-copy
- import 2 patches from Fedora devel

* Thu Jun 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.0-4m)
- qt-x11 Req mesa-libGL, mesa-libGLU

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.0-3m)
- rebuild against openssl-0.9.8h-1m

* Mon May 12 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.4.0-2m)
- add headers for i686 again

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.0-1m)
- update to 4.4.0
- renamed from qt4 to qt
- almost sync with Fedora devel
-- * Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
-- - (4.3.4-2m)
-- - rebuild against gcc43
-- * Mon Mar 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
-- - (4.3.4-1m)
-- - Qt 4.3.4
-- - sync with Fedora devel
-- * Sat Feb 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
-- - (4.3.3-5m)
-- - add qt4-snapshot patch. need gcc-4.3 env
-- - --optimized-qmake was broke...
-- * Sun Feb 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
-- - (4.3.3-4m)
-- - correct symlink to doc
-- * Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
-- - (4.3.3-3m)
-- - %%NoSource -> NoSource
-- * Sun Dec  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
-- - (4.3.3-2m)
-- - qt4-doc does not install assistant-qt4
-- * Sun Dec  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
-- - (4.3.3-1m)
-- - Qt 4.3.3
-- - sync with Fedora devel
-- - remove qt-x11-opensource-src-4.3.2-rh#334281.patch
-- * Thu Oct 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.3.2-1m)
-- - Qt 4.3.2
-- - merge Fedora's changes
-- - include qt4-logo icon, used by qtdemo/qtconfig (#241452)
     (Momonga is still using %%{_datadir}/pixmaps)
-- - x11: Req: momonga-rpmmacros rpm, app-wrapper/multilib fun (#277581)
-- - create and own %%_qt4_plugindir/styles
-- - slowdown with 4.3.2 (#334281)
-- - -optimized-qmake
-- - remove qt-x11-opensource-src-4.3.1-64bit.patch
-- - remove merged security patch
-- * Fri Sep 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.3.1-1m)
-- - Qt 4.3.1
-- - [SECURITY] CVE-2007-4137
-- - change License to GPLv2 (see also GPL_EXCEPTIONS*.txt)
-- - merge Fedora's changes
-- - fixed bz249242, designer4 - segmentation fault on s390x
-- - omit needless %%check
-- - (re)add package review comment/reference
-- - add %%_qt4_version
-- - multilib broken: qconfig.h (#248768)
-- - +%%_qt4_demosdir,%%_qt4_examplesdir
-- - + Qt.pc, provide pkgconfig access to qt4 macros/variables
-- - * Sat Jul 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.3.0-3m)
-- - merge Fedora's changes
-- - make _qt4_* macro usage consistent (with %%check's)
-- - fix %%_qt4_prefix/doc symlink
-- - remove Application from "Categories" of desktop files
-- * Fri Jun 29 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.3.0-2m)
-- - fix qt4.macros
-- * Wed Jun  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.3.0-1m)
-- - Qt 4.3.0
-- - update qassistant.patch (from Fedora)
-- - build with libtiff and openssl support
-- * Tue May 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.2.3-4m)
-- - import qt-x11-opensource-src-4.2.3-qt#153635.patch
     http://www.trolltech.com/developer/task-tracker/?method=entry&id=153635
-- * Sun Apr 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.2.3-3m)
-- - revise %%install for i386
-- * Sun Apr 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.2.3-2m)
-- - install qconfig-i386.h
-- * Sun Apr  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.2.3-1m)
-- - Qt 4.2.3
-- - sync with Fedora
-- - clean up spec file
-- * Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.2.2-4m)
-- - BuildRequires: freetype2-devel -> freetype-devel
-- * Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.2.2-3m)
-- - rebuild against postgresql-8.2.3
-- * Wed Feb 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.2.2-2m)
-- - add md5sum_src0
-- * Sun Feb 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
-- - (4.2.2-1m)
-- - Qt 4.2.2
-- - enable dbus support for KDE4
-- - install icons
-- - update desktop files for icons
-- * Mon Oct 30 2006 Masayuki SANO <nosanosa@momonga-linux.org>
-- - (4.2.1-1m)
-- - first import to Momonga from Fedora Extra
-- - based on qt4-4.2.0-1.src.rpm (see http://cvs.fedora.redhat.com/viewcvs/devel/qt4/?root=extras)
-- - This package can coexist with Qt3.
-- - This package should not affect any other packages of Qt3 applications. (...I hope.)
-- - Whether KDE4 can be builded with this Qt4 package or not is NOT tested at all.
-- * Wed Oct 04 2006 Rex Dieter 4.2.0-1
-- - 4.2.0(final)
-- * Thu Sep 28 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.2.0-0.9.20060927
-- - update to 4.2.0-snapshot-20060927
-- - update QDBus executable names
-- - -x11: exclude plugins/designer (which belong to -devel)
-- - BuildConflicts: qt4-devel
-- - drop -fno-strict-aliasing hack (fc5+)
-- * Wed Sep 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.8.rc1
-- - qtconfig.desktop: Categories=+AdvancedSettings;Settings
-- * Fri Sep 08 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.7.rc1
-- - 4.2.0-rc1
-- * Fri Aug 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.6.20060821
-- - update to 4.2.0-snapshot-20060821 (same as today's qt-copy)
-- - -no-separate-debug-info
-- - ./configure -xfixes, BR: libXfixes-devel
-- * Mon Aug 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.5.tp1
-- - fix empty -debuginfo
-- - use $RPM_OPT_FLAGS
-- * Thu Jul 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.4.tp1
-- - strip -laudio, -ldbus-1, -lglib-2.0 from .pc files
-- * Thu Jul 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.3.tp1
-- - -no-reduce-exports (for now)
-- - -fno-strict-aliasing (fc5+)
-- * Fri Jul 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.2.tp1
-- - -system-nas-sound, BR: nas-devel (bug # 197937)
-- - -qdbus (fc6+, BR: dbus-devel >= 0.62)
-- - -glib (BR: glib2-devel)
-- * Fri Jun 30 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.1.tp1
-- - 4.2.0-tp1 (technology preview 1)
-- * Thu Jun 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-5
-- - make FHS-friendly (bug #196901)
-- - cleanup %%_bindir symlinks, (consistently) use qt4 postfix
-- * Wed Jun 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-4
-- - -x11: split-out gui(x11) from non-gui bits (bug #196899)
-- * Mon Jun 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-3
-- - -debug: drop, adds nothing over -debuginfo, make lib..._debug
     symlinks instead (bug #196513)
-- - assistant.desktop: fix tooltip (bug #197039)
-- * Mon Jun 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-2
-- - -devel: include -debug libs (bug #196513)
-- - -devel: move libQtDesigner here
-- - -config: mash into main pkg, should be multilib friendly now
-- * Fri Jun 23 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-1
-- - 4.1.4
-- * Tue Jun 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-9
-- - make each sql plugin optional
-- * Fri Jun 09 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-8
-- - qmake.conf: undefine QMAKE_STRIP to get useful -debuginfo (bug #193602)
-- - move (not symlink) .pc files into %%_libdir/pkgconfig
-- * Thu Jun 08 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-7
-- - *really* fix qt4-wrapper.sh for good this time.
-- * Mon May 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-6
-- - make qt4-wrapper.sh use rpm when pkg-config/qt4-devel isn't
     installed (#193369)
-- * Fri May 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-5
-- - strip -lXi from .pc files (#193258)
-- - simplify sql plugin builds via %%buildSQL macro
-- - -libdir %%qt_libdir
-- * Wed May 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-4
-- - move (most) %%dir ownership (back) to main pkg --* Sun May 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-3
-- - fix %%mysql_libs macro
-- * Sat May 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-2
-- - mysql: use mysql_config for setting cflags/ldflags.
-- - mysql: BR: mysql-devel > 4.0
-- * Sat May 20 2006 Laurent Rineau <laurent.rineau__fc_extra@normalesup.org>
-- - Fix the last reference to %{qtdir}/lib: use %{_lib} instead of "lib".
-- - Fix the ownership of subpackages: they need to own parents of directories they install files in.
-- * Fri May 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-1
-- - 4.1.3
-- - %%qtdir/lib/*.pc -> %%qtdir/%%_lib/*.pc
     (hopefully, the last hardcoded reference to %%qtdir/lib)
-- * Fri May 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-20
-- - fix some unowned dirs
-- - try harder to purge %%builddir from .pc,.prl files
-- - -docdir %%_docdir/%%name-doc-%%version, since we use %%doc macro in main pkg
-- - -doc: own %%qt_docdir
-- - use qt4-wrapper.sh to ensure launch of qt4 versions of apps that
     (may) overlap with those from qt3
-- - use %%qtdir/%%_lib in ld.so.conf.d/*.conf files too
-- * Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-19
-- - drop libQtAssistantClient,libQtUiTools shlib patches
-- * Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-18
-- - %%_bindir symlinks: qtconfig4 -> qt4config, qtdemo4 -> qt4demo
-- - -libdir %%qtdir/%%_lib, simplifies %%_lib != lib case
-- - -docdir %%_docdir/%%name-%%version
-- - build shared versions of libQtAssistantClient,libQtUiTools too
-- - strip extraneous -L paths, libs from *.prl files too
-- * Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-17
-- - .desktop: Qt -> Qt4, and Comment= (where missing)
-- - -devel: include -designer here, Obsoletes/Provides: %%name-designer.
      It's small, simplifies things... one less subpkg to worry about.
-- - -doc: include %%qtdir/doc symlink here
-- - -docdir %%_docdir/%%name-doc-%%version
-- * Mon May 15 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-16
-- - set/use RPM_OPT_FLAGS only for our platform
-- - (really) don't give %%_bindir symlink for qt3to4 another "4" suffix
-- - don't add 4 suffix to uic3, rcc (they don't conflict with qt(3)-devel)
-- - -devel: add  linguist.desktop
-- - -doc: move assistant here, Provides: %%{name}-assistant, add assistant.desktop
-- - -doc: add qtdemo.desktop
-- - -doc: Requires qt4 (instead of qt4-devel)
-- - assistant4.patch: search for assistant4 instead of (qt3's) assistant in $PATH
-- - -qtconfig: add qtconfig.desktop
-- - updated %%sumaries to mention where (some) tools are, including assistant, linguist,
     qtdemo
-- * Mon May 15 2006 Laurent Rineau <laurent.rineau__fc_extra@normalesup.org> - 4.1.2-15
-- - Rename -docs to -doc.
-- - Files in the -doc subpackage are no longer in %%doc.
-- - Move qtdemo to the subpackage -doc.
-- - Fix symlinks in %%{_bindir}.
-- - Only modify mkspecs/linux-g++*/qmake.conf, instead of all mkspecs/*/qmake.conf.
-- * Sun May 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-14
-- - remove MapNotify from .desktop file(s).
-- - install -m644 LICENSE.*
-- - -docs: don't mark examples as %doc
-- - drop unused %%debug macro
-- * Sat May 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-13
-- - include unpackaged pkgconfig files
-- * Sat May 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-12
-- - fix typos so it actually builds.
-- * Sat May 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-11
-- - drop optional ld.so.conf.d usage, make mandatory
-- - make %%_bindir symlinks to all %%qtdir/bin stuff (even qt3to4)
-- - pkgconfig files: hardlinks -> relative symlinks, strip -L%{_libdir}/mysql
     and -L%%{_builddir}/qt-x11-opensource-src-%%version/lib
-- - cleanup/simplify Summary/%%description entries
-- - $RPM_BUILD_ROOT -> %%buildroot, $RPM_BUILD_DIR -> %%_builddir
-- * Sat May 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-10
-- - cleanup/simplify license bits, include LICENSE.QPL
-- - drop unused -styles/-Xt subpkg reference
-- - drop unused motif extention bits
-- - drop initialpreference from .deskstop files
-- * Fri May 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-9
-- - drop reference to non-existent config.test/unix/checkavail
-- * Fri May 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-8
-- - simplify build* macros
-- - lower-case all subpkgs (ie, -MySQL -> -mysql )
-- - drop BR: perl, sed
-- * Thu May 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-7
-- - rework %%post/%%postun, mostly to placate rpmlint
-- - drop Prefix:
-- - drop use of qt4.(sh|csh), they're empty atm anyway
-- - use Source'd designer.desktop (instead of inline cat/echo)
-- - symlinks to %%_bindir: qmake4, designer4, qtconfig4
-- - drop qtrc, qt4 doesn't use it.
-- - -docs subpkg for API html docs, demos, examples.
-- - BR: libXcursor-devel libXi-devel (fc5+)
-- * Thu Apr 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-6
-- - devel: Requires: pkgconfig
-- * Sat Apr 15 2006 Simon Perreault <nomis80@nomis80.org> 4.1.2-5
-- - Disable C++ exceptions.
-- * Mon Apr 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-4
-- - qt4.(sh|csh): place-holders only, don't define QTDIR (and QTLIB)
     as that (potentially) conflicts with qt-3.x.
-- * Thu Apr 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-2
-- - -devel: Drop (artificial) Conflicts: qt-devel
-- - fix %%ld_so_conf_d usage
-- - %%qtdir/%%_lib symlink
-- * Wed Apr 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-1
-- - drop Epoch
-- - cleanup (a lot!)
-- * Tue Dec 20 2005 Than Ngo <than@redhat.com> 1:4.1.0-0.1
-- - update to 4.1.0
-- * Fri Sep 09 2005 Than Ngo <than@redhat.com> 1:4.0.1-0.1
-- - update to 4.0.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.3.7-16m)
- rebuild against gcc43

* Wed Mar 19 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3.7-15m)
- support newer xinput header

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3.7-14m)
- %%NoSource -> NoSource

* Wed Nov 21 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.3.7-13m)
- added a patch to fix compilation issue with gcc 4.2 or later

* Fri Sep 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-12m)
- [SECURITY] CVE-2007-4137
- http://trolltech.com/company/newsroom/announcements/press.2007-09-03.7564032119

* Thu Aug  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-11m)
- [SECURITY] CVE-2007-3388
- http://trolltech.com/company/newsroom/announcements/press.2007-07-27.7503755960

* Tue May 29 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-10m)
- import fontrendering-gu.patches from Fedora
 +* Mon Apr 23 2007 Than Ngo <than@redhat.com> - 1:3.3.8-5.fc7
 +- apply patch to fix fontrendering problem in gu_IN #228451,#228452
- apply 0073-xinerama-aware-qpopup.patch

* Thu May 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-9m)
- [SECURITY] CVE-2007-0242 0077-utf8-decoder-fixes.diff

* Fri Apr 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-8m)
- modify qtrc.momonga for x86_64

* Wed Apr 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-7m)
- revise qtrc.momonga (change style from Keramik to Plastik)

* Wed Apr 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-6m)
- update qtrc.momonga (fix uim-qtimmodule crash)

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-5m)
- qt-devel Requires: freetype2-devel -> freetype-devel
- qt Requires: freetype2 -> freetype

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-4m)
- rebuild against postgresql-8.2.3

* Tue Mar  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-3m)
- build with "-fno-strict-aliasing"
- import aliasing.diff from opensuse
 +* Mon Feb 16 2004 - adrian@suse.de
 +- build opentype with -fno-strict-aliasing
- fix %%prep

* Fri Mar  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-2m)
- update immodule-unified.diff to 20061229
- remove immodule-unified-qt3.3.5-20060318-pre and post patches

* Sun Jan 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.7-1m)
- Qt 3.3.7
- add a package qt-sqlite
- add qt-x11-free-3.3.7-qfontdatabase-forLocale-pre.patch
- add 0070-fix-broken-fonts.patch
- replace fix-qlabel-layouts.diff (add 0069-fix-minsize.patch)
- update strip.patch
- import desktop files from Fedora Core
- import qt-x11-free-3.3.6-qt-x11-immodule-unified-qt3.3.5-20060318-pre.patch from Fedora Core
- import qt-x11-free-3.3.6-qt-x11-immodule-unified-qt3.3.5-20060318-post.patch from Fedora Core
- import qt-x11-free-3.3.7-umask.patch from Fedora Core
- import qt-x11-free-3.3.7-uic-multilib.patch from Fedora Core
- import fontrendering.patches from Fedora Core
- remove merged qt-x11-free-3.3.5-fix-qlistview-takeitem-crashes.patch
- remove merged fix-japanese-wrapping.patch
- remove merged fix-crash-long-text.patch
- remove merged fix-qfile-flush.patch
- remove merged fix-reverse-gravity.patch
- remove merged 0051-qtoolbar_77047.patch
- remove merged 0065-fix_werror_with_gcc4.patch
- remove merged 0066-fcsort2fcmatch.patch
- remove merged 0067-nofclist.patch
- remove merged qt-x11-free-3.3.4-assistant_de.patch
- remove merged qt-x11-free-3.3.5-warning.patch
- remove merged qt3_pixmap_overflow.patch

* Sun Dec 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3.5-27m)
- rebuild against libXft
-- update qt-x11-free-3.3.5-qpsprinter-useFreeType2.patch (dasa dasa)

* Wed Nov 15 2006 Masayuki SANO <nosanoa@momonga-linux.org>
- (3.3.5-26m)
- remove [Font Substitutions] entry from qtrc.momonga
- - fontconfig may do that work, I think.
- - Now, Google Earth can show Japanese correctry.

* Sun Oct 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-25m)
- [SECURITY] CVE-2006-4811
- import qt3_pixmap_overflow.patch from cooker
 +* Thu Oct 19 2006 Laurent Montel <lmontel@mandriva.com> 3.3.6-19mdv2007.0
 +- Fix overflow

* Tue Aug  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-24m)
- import 2 immodule patches from Fedora Core devel
 - qt-x11-free-3.3.6-qt-x11-immodule-unified-qt3.3.5-20060318-resetinputcontext.patch
  +* Wed Jun 28 2006 Than Ngo <than@redhat.com> 1:3.3.6-9
  +- fix #183302, IM preedit issue in kbabel
 - qt-x11-free-3.3.6-fix-key-release-event-with-imm.diff
  +* Thu Jun 08 2006 Than Ngo <than@redhat.com> 1:3.3.6-7
  +- fix #156572, keyReleaseEvent issue

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-23m)
- PreReq: coreutils

* Sat May 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-22m)
- revise %%files for rpm-4.4.2

* Wed May 17 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (3.3.5-21m)
- rebuild against mysql 5.0.22-1m

* Wed May 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-20m)
- clean up spec file

* Wed May  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-19m)
- revise qmake.conf for new X

* Thu Mar 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-18m)
- build with -fno-use-cxa-atexit to avoid crashing KDE

* Wed Mar 29 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.3.5-17m)
- revise spec file for x86_64. Thanx,Ichiro-san.

* Tue Mar 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-16m)
- import fix-japanese-wrapping.patch from opensuse
 +* Fri Mar 17 2006 - dmueller@suse.de
 +- fix error in wrapping japanese text
- import fix-crash-long-text.patch from opensuse
 +* Fri Mar 17 2006 - dmueller@suse.de
 +- fix crash on painting > 32000 chars at once
- import fix-qfile-flush.patch from opensuse
 +* Fri Mar 17 2006 - dmueller@suse.de
 +- fix QFile::flush() not setting error status
- import fix-reverse-gravity.patch from opensuse
 +* Fri Mar 17 2006 - dmueller@suse.de
 +- fix window gravity being wrong for RTL
- import fix-qlabel-layouts.diff from opensuse
 +* Tue Mar 21 2006 - dmueller@suse.de
 +- update patch for QLabel layout issues to the one from Qt 3.3.7
 +* Fri Mar 17 2006 - dmueller@suse.de
 +- add patch for QLabel layout management issues (#153029)
- remove fix-key-release-event-with-imm.diff
- modify BuildRequires and Requires for new X

* Mon Mar 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-15m)
- update immodule-unified.diff to 20060318
- update fix-key-release-event-with-imm.diff
- remove merged 2 patches
 - qt-x11-free-3.3.5-fix-im-crash-on-exit.patch
 - qt-x11-immodule-fix-inputcontext-crash.diff

* Sun Mar 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-14m)
- merge qt-copy patches

* Thu Mar  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-13m)
- update imm-key.patch to fix-key-release-event-with-imm.diff
 +* Mon Feb 27 2006 Than Ngo <than@redhat.com> 1:3.3.5-13
 +- add set of fixes for the immodule patch, thanks to Dirk

* Thu Mar  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-12m)
- import qt-x11-immodule-fix-inputcontext-crash.diff from opensuse
 +* Wed Feb 22 2006 - dmueller@suse.de
 +- fix crash when not able to load imswitch (#117443)

* Sat Feb 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-11m)
- add qt-x11-free-3.3.5-fix-im-crash-on-exit.patch
- import 2 patches from cooker
 - qt-x11-free-3.3.5-fix-qlistview-takeitem-crashes.patch
 - qt-x11-free-3.3.5-qtranslator-crash.patch

* Tue Feb 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-10m)
- remove "-fno-strict-aliasing" from optflags

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-9m)
- add qt-visibility.patch
- enable_hidden_visibility 0

* Fri Jan 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-8m)
- add "-fno-strict-aliasing" to optflags for gcc-4.0.2-3m
  gcc-4.1.0-0.8m works fine without "-fno-strict-aliasing", don't forget

* Sat Nov 19 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.3.5-7m)
- rebuild against postgresql-8.1.0

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-6m)
- add 0056-khotkeys_input_84434.patch
 +* Sun Nov 13 2005 Than Ngo <than@redhat.com> 1:3.3.5-10
 +- workaround for keyboard input action in KHotKeys

* Sun Oct 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-5m)
- update qt-x11-immodule-unified-qt3.3.5-20051012-quiet.patch
 +* Tue Oct 25 2005 Than Ngo <than@redhat.com> 1:3.3.5-7
 +- update qt-x11-immodule-unified-qt3.3.5-20051012-quiet.patch

* Thu Oct 20 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-4m)
- update immodule-unified.diff to 20051018 (compile fix)
- remove qt-x11-immodule-unified-qt3.3.5-20051012-build.patch

* Sat Oct 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-3m)
- update immodule-unified.diff to 20051012
- import new immodule patches from Fedora Core devel
 - qt-x11-immodule-unified-qt3.3.5-20051012-build.patch
  +* Thu Oct 13 2005 Than Ngo <than@redhat.com> 1:3.3.5-5
  +- apply patch to fix build problem with the new immodule patch
 - qt-x11-immodule-unified-qt3.3.5-20051012-quiet.patch
  +* Thu Oct 13 2005 Than Ngo <than@redhat.com> 1:3.3.5-5
  +- disable some debug messages
- remove old immodule patches
- import qt-x11-free-3.3.5-warning.patch from Fedora Core devel
 +* Tue Sep 27 2005 Than Ngo <than@redhat.com> 1:3.3.5-4
 +- apply patch to fix gcc warnings

* Fri Sep 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-2m)
- import assistant_de.qm from Fedora Core devel
 +* Tue Sep 20 2005 Than Ngo <than@redhat.com> 1:3.3.5-2
 +- German translation of the Qt Assistent #161558
- import qt-x11-free-3.3.5-uic.patch from Fedora Core devel
 +* Tue Sep 20 2005 Than Ngo <than@redhat.com> 1:3.3.5-2
 +- add uic workaround

* Mon Sep 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.5-1m)
- Qt 3.3.5
- add -largefile to configure
- update qpsprinter-useFreeType2.patch
- import immodule pre and post patches from Fedora Core devel
- sync with Fedora Core devel
 +* Mon Aug 15 2005 Than Ngo <than@redhat.com> 1:3.3.4-21
 +- fix gcc4 build problem
 +* Wed Aug 10 2005 Than Ngo <than@redhat.com> 1:3.3.4-19
 +- apply patch to fix wrong K menu width, #165510
 +* Wed Jul 20 2005 Than Ngo <than@redhat.com> 1:3.3.4-17
 +- fix German translation of the Qt Assistent #161558
 +* Tue May 24 2005 Than Ngo <than@redhat.com> 1:3.3.4-15
 +- add better fix for #156977, thanks to trolltech
- remove qt-x11-free-3.3.3-Punjabi.patch

* Mon Sep  5 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.3.4-6m)
- rebuild against for MySQL-4.1.14

* Tue Jul 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.4-5m)
- import qt-x11-free-3.3.3-Punjabi.patch from Fedora Core
 +* Mon Jun 27 2005 Than Ngo <than@redhat.com> 1:3.3.4-16
 +- apply patch to fix Rendering for Punjabii, thanks to Trolltech #156504
- import qt-x11-free-3.3.4-imm-key.patch from Fedora Core
 +* Tue May 24 2005 Than Ngo <than@redhat.com> 1:3.3.4-15
 +- apply patch to fix keyReleaseEvent problem #156572

* Mon Apr 25 2005 Toru Hoshina <t@momonga-linux.org>
- (3.3.4-4m)
- rebuild against postgresql-8.0.2.

* Sun Apr 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.4-3m)
- move %%{qtdir}/plugins/inputmethods from qt-devel to qt
- set XIMInputStyle=On The Spot

* Fri Apr  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.4-2m)
- revise %%files section to avoid conflicting

* Thu Feb 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.4-1m)
- Qt 3.3.4
- update Patch1: print-CJK.patch
- update Patch100: qfontdatabase-foralias.patch
- update Patch400: qfontdatabase-forLocale.patch
- update Patch401: qfontdatabase-boldFontList.patch
- update Patch403: qpsprinter-useFreeType2.patch
- sync with Fedora Core
 +* Tue Feb 22 2005 Than Ngo <than@redhat.com> 1:3.3.4-5
 +- fix application crash when input methode not available (bug #140658)
 +- remove .moc/.obj
 +- add qt-copy patch to fix KDE #80072
 +* Fri Feb 11 2005 Than Ngo <than@redhat.com> 1:3.3.4-4
 +- update qt-x11-immodule-unified patch
 +* Wed Feb 02 2005 Than Ngo <than@redhat.com> 1:3.3.4-2
 +- remove useless doc files #143949
 +* Fri Jan 28 2005 Than Ngo <than@redhat.com> 1:3.3.4-1
 +- adapt many patches to qt-3.3.4
 +- drop qt-x11-free-3.3.0-freetype, qt-x11-free-3.3.3-qmake, qt-x11-free-3.3.1-lib64
 +  qt-x11-free-3.3.3-qimage, which are included in new upstream

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org>
- (3.3.3-4m)
- fix libdir. enable x86_64.

* Tue Oct 12 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.3-3m)
- update and apply Patch400: qt-x11-free-3.3.3-qfontdatabase-forLocale.patch
  original patch from http://www.kde.gr.jp/ml/Kuser/msg04168.html
- apply Patch401: qt-x11-free-3.2.1-boldFontList-20030926.patch
- apply Patch403: qt-x11-free-3.2.3-qpsprinter-useFreeType2-20031128.patch

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.3-2m)
- rebuild against libstdc++-3.4.1

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.3-1m)
- Qt 3.3.3
- commented out Patch400-405 because these patches are rejected (obsoleted?)
- revise Patch100 for better? font handling in Momonga
- import Patch5,6,7,8,9,10,12,14,15 from Fedora Core
- import Immodules for Qt(http://immodule-qt.freedesktop.org/) Patch50,51(sync with Fedora Core)

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.3-6m)
- revised spec for rpm 4.2.

* Wed Feb 18 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.2.3-5m)
- Obsoletes: qt-styles if styleplugins is defined as 0

* Thu Feb  5 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-4m)
- Fix the problem of default KDE fonts
- - add qt-x11-free-3.2.3-qfontdatabase-foralias.patch (modified patch of Fedora Core)
- - - this patch makes it enable to choose alias fonts in Qt apps
- - modified default settings (%{qtdir}/etc/settings/qtrc)
- - - default fonts are set to Sans
- - - proper [Font Substitution] settings
- - - This, with new /etc/kderc settings, fixes the problem that default fonts in KDE were very ugly and unreadable

* Fri Dec 26 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.2.3-3m)
- rebuild against XFree86-4.3.0.1-12m (static libraries built with -fPIC)

* Thu Dec 11 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.2.3-2m)
- return to qt-x11-free-3.2.2-qfontdatabase-forLocale.patch

* Fri Dec 5 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.2.3-1m)
- version  3.2.3

* Fri Nov 14 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.2.2-2m)
- updete patches from www.kde.gr.jp/~akito/

* Fri Nov 7 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.2.2-1m)
- version  3.2.2

* Sat Sep 27 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.2-10m)
- add -xrandr to configure

* Sat Sep 27 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.2-10m)
- add xrandr patch from Suzuka Beta

* Fri Sep  5 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.2-8m)
- add -fno-stack-protector if gcc is 3.3

* Wed Sep  3 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.1.2-7m)
- rebuild against for MySQL-4.0.14-1m

* Mon Jul 28 2003 zunda <zunda at freeshell.org>
- (3.1.2-6m)
- qt-x11-free-3.1.2-qmake-no-canonicalpath.patch makes intallation paths
  not canonical but just absolute
- license phrases changed

* Tue May 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-5m)
- link libstdc++ again (for kdeedu)

* Tue May 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-4m)
- remove --libs from mysql_config

* Tue May 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-3m)
- revise qt.spec by Masahiro Nishiyama([Momonga-devel.ja:01698])
   revise compile option
   use "make INSTALL_ROOT=%{buildroot} install"
   fix examples, tutorials
   add some files
   and clean up
- add /etc/profile.d/qt.sh, /etc/profile.d/qt.sh and set QTDIR
- update qt-x11-free-3.1.2-qfont-jp-family-subst patch to 20030421
- update qt-x11-free-3.1.2-qpsprinter-ttc-otf-italic patch to 20030429

* Thu Apr 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.2-2m)
  update xim patches

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.2-1m)
- version 3.1.2

* Fri Apr 04 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.1-11m)
- rebuild against zlib 1.1.4-5m
- add BuildRequires: zlib-devel >= 1.1.4-5m

* Sun Mar 24 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-10m)
- Conflicts: qt2 < 2.3.1-27m

* Mon Mar 24 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-9m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-8m)
- specopt
- change macroname(cups -> with_cups)
- enable cups by default
- enable tablet support

* Sun Mar  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.1-7m)
  rebuild against openssl 0.9.7a

* Tue Feb 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-6m)
- fix examples and tutorial
- add files to %%files devel

* Tue Feb 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-5m)
- add BuildRequires: openmotif-devel

* Wed Feb 05 2003 TAKAHASHI Tamotsu <tamo>
- (3.1.1-4m)
- comment out patch4 qt-3.0.5-lock.patch, which seems
 already applied
- do not strip

* Sat Feb  1 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1.1-1m)
- ver up.


* Mon Jan 20 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5-8m)
- applied new some patches (from rawhide).

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5-7m)
- applied new some patches.
- ( See http://www.kde.gr.jp/ml/Kdeveloper/msg02653.html )

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.5-6m)
- cancel gccbug patch

* Sat Oct 26 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.5-5m)
- add BuildPreReq: Xft2-devel

* Thu Oct 17 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.5-4m)
- qt-3.0.5-Xft2.patch: add -I/usr/include/fontconfig-1.0

* Thu Oct 17 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.5-3m)
- apply more Xft2 patch.
  see http://www.kde.gr.jp/~akito/xft/patch_xft.html

* Sun Oct  6 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.5-2m)
- add Xft2 patch

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5-1m)
- update to 3.0.5.
- fix source URI.
- update ATOKX behavier patch from Kdeveloper-ML
- add patches (Patch104,105,200) from Kdeveloper-ML
- delete Patch103. (already applied.)

* Fri Jul 12 2002 SHINOHARA Kentarou <puntium@momonga-linux.org>
- (3.0.4-5m)
- apply keywidget patch to fix ATOKX behaviour.

* Thu Jun 13 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.4-4k)
- apply skkinput enable patch.
- clean spec file.

* Sun Jun 10 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.4-2k)
- ver up.
- applied fontname-utf8 patch(patch7).

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.0.3-12k)
- rebuild against libpng 1.2.2.

* Thu Apr 18 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.3-10k)
- applied qt-x11-free-3.0.3-setDefaultXIMInputStyleOverTheSpot.diff

* Tue Apr 16 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.3-8k)
- applied qt-x11-free-3.0.0-qclipboard-20011111.diff
- added set default "XIMInputStyle=Over The Spot"

* Sat Apr 06 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.3-6k)
- applied fixJapanesePrintProblem patch. (Patch102:)
- applied fixXIMFocusProblem-addSelectXIMInputStyleInQtconfig patch. (Patch103:)
- fix Source: (ftp.kde.gr.jp is a mirror site. sorry...)

* Wed Apr 03 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.3-4k)
- add BuildPrereq: ccache

* Mon Mar 25 2002 Toru Hoshina <t@kondara.org>
- (3.0.3-2k)
- build with cups support.

* Sun Mar 24 2002 Toru Hoshina <t@kondara.org>
- (3.0.2-4k)
- build with cups support.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.2-2k)
- 1st release for Kondara.

* Mon Mar 18 2002 Toru Hoshina <t@kondara.org>
- (2.3.2-4k)
- add xim, textcodec patch.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.3.2-2k)
- version up.

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (2.3.1-16k)
- nigittenu

* Mon Oct 29 2001 Toru Hoshina <t@kondara.org>
- (2.3.1-14k)
- rebuild against fileutils 4.1.

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (2.3.1-12k)
- rebuild against libpng 1.2.0.

* Mon Oct  8 2001 Toru Hoshina <t@kondara.org>
- [2.3.1-10k]
- qt.fontguess missed.

* Fri Sep 14 2001 Toru Hoshina <t@kondara.org>
- [2.3.1-8k]
- GIF support flag is turned on...

* Tue Sep  4 2001 Toru Hoshina <toru@df-usa.com>
- [2.3.1-6k]
- GIF support flag is turned off again.
- rebuild against XFree86-4.1.0-8k.

* Mon Aug 20 2001 Toru Hoshina <toru@df-usa.com>
- [2.3.1-4k]
- add aahack patch.

* Wed Aug  9 2001 Toru Hoshina <toru@df-usa.com>
- [2.3.1-2k]
- ver up. 2.3.1.
- GIF support flag is turned on.
- R.I.P. NSPlugins. no longer supported.

* Tue Jul 18 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- add qt-2.3.0-nsplugin-gcc3.patch

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- [2.3.0-10k]
- applied new patch12.

* Wed Apr 11 2001 MATSUDA, Daiki <dyky@df-usa.com>
- [2.3.0-4k]
- add qt.using_new_library.patch for escaping build fail

* Thu Feb 08 2001 Kenichi Matsubara <m@kondara.org>
- [2.2.4-0.1k]
- update to 2.2.4.

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- [2.2.3-9k]
- rebuild against gcc 2.96.

* Mon Jan 01 2001 Kenichi Matsubara <m@kondara.org>
- [2.2.3-7k]
- update patches.

* Fri Dec 22 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.3-5k]
- rebuild against Alpha environment.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.3-3k]
- update to 2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.2-5k]
- change GIF Support switch tag.
- (Vendor to Option.)

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.2-0.8k]
- use egcs++ x86 environment.

* Mon Nov 20 2000 Toru Hoshina <toru@df-usa.com>
- [2.2.2-0.7k]
- use egcs++ instead of g++.

* Sun Nov 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.2-0.3k]
- rebuild against gcc-2.95.2 glibc-2.2

* Sat Nov 18 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.2-0.2k]
- rebuild against New environment.
- update qt-2.2.2-codec-20001116.diff.
- update qt-2.2.2-qclipboad-20001116.diff.
- add -system-mng switch.

* Wed Nov 15 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.2-0.1k]
- update to qt-2.2.2.

* Wed Nov 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-7k]
- update qt-2.2.1-qclipboard-20001107.diff.

* Fri Nov 03 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-6k]
- little bit bugfix specfile.

* Tue Oct 31 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-5k]
- add GIF support option.
- little bit bugfix. spec file.

* Thu Oct 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-4k]
- modified Requires[devel.Xt,NSPlugin].

* Wed Oct 18 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-3k]
- add qt-2.2.1-xim-20001014.diff.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-2k]
- enable debug mode.

* Mon Oct 09 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-1k]
- update 2.2.1.

* Fri Sep 29 2000 Kencich Matsubara <m@kondara.org>
- add qt-2.2.0-m17n-20000929.diff
- bugfix m17n for Korean language.

* Mon Sep 18 2000 Kenichi Matsubara <m@kondara.org>
- update qt-2.2.0.
- add qt-2.2.0-codec-20000908.diff
- add qt-2.2.0-xim-20000908.diff
- add qt-2.2.0-m17n-20000908.diff

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Wed Jun 28 2000 Kenichi Matsubara <m@kondara.org>
- remove qt-2.1.0-codec.diff
- add qt-2.1.1-codec-20000628.diff

* Sun Jun 25 2000 Kenichi Matsubara <m@kondara.org>
- remove Requires: Mesa
- remove BuildPreReq: Mesa-devel

* Sat Jun 24 2000 Kenichi Matsubara <m@kondara.org>
- add qt-2.1.1-qclipboard.diff

* Fri Jun 23 2000 Koji Toriyama <toriyama@kde.gr.jp>
- del qt-2.1.0-snapshot-i18n.diff
- add qt-2.1.1-m17n-20000622.diff

* Thu Jun 01 2000 Kenichi Matsubara <m@kondara.org>
- update Qt-2.1.2 release.
- add qt-2.1.0-huge_val.patch

* Fri May 19 2000 Kenichi Matsubara <m@kondara.org>
- little modified. [ Requires: section. ]

* Wed May 17 2000 Kenichi Matsubara <m@kondara.org>
- add qt-2.1.0-codec.diff.

* Mon Apr 17 2000 Kenichi Matsubara <m@kondara.org>
- inital release Kondara MNU/Linux.
